type Selector<T> = keyof T | ((item: T) => string);
export declare function retrieveValue<T>(element: T, key?: Selector<T>): any;
export declare function sort<T>(arr: T[], option?: {
    selector?: Selector<T>;
    descending?: boolean;
} | undefined): T[];
export {};
